module vertex_generator_harness();

axil_intf #(.AXIL_DATA_WIDTH(32), .AXIL_ADDR_WIDTH(32)) m_ctrl_axil();
axil_intf #(.AXIL_DATA_WIDTH(32), .AXIL_ADDR_WIDTH(32)) s_ctrl_axil();

axil_intf #(.AXIL_DATA_WIDTH(128), .AXIL_ADDR_WIDTH(32)) m_data_axil();

logic clk;
logic rst;

vertex_generator u_dut(
    .clk            (clk),
    .rst            (rst),

    .m_data_axil    (m_data_axil),
    .m_ctrl_axil    (m_ctrl_axil),
    .s_ctrl_axil    (s_ctrl_axil)
);

endmodule