import fp32_pkg::*;

module fp32_from_int_harness();

`include "fp32_helpers.svh"

logic [31:0] a;

`FP32_OUTPUT(z);

logic i_valid, o_valid;

logic clk;

fp32_from_int u_dut(
    .clk(clk),
    .i_valid(i_valid),
    .a(a),
    .z(z),
    .o_valid(o_valid)
);

endmodule