import fp32_pkg::*;

module fp32_gt_harness();

`include "fp32_helpers.svh"

`FP32_INPUT(a);
`FP32_INPUT(b);

logic gt;

logic i_valid, o_valid;

logic clk;

fp32_gt u_dut(
    .clk(clk),
    .i_valid(i_valid),
    .a(a),
    .b(b),
    .gt(gt),
    .o_valid(o_valid)
);

endmodule