import fp32_pkg::*;

module fp32_mul_harness();

`include "fp32_helpers.svh"

`FP32_INPUT(a);
`FP32_INPUT(b);
`FP32_OUTPUT(z);

logic i_valid, o_valid;

logic clk;

fp32_mul u_dut(
    .clk(clk),
    .i_valid(i_valid),
    .a(a),
    .b(b),
    .z(z),
    .o_valid(o_valid)
);

endmodule