package fp32_pkg;

parameter fp32_exp_bias = 127;
parameter fp32_exp_width = 8;
parameter fp32_mantissa_width = 23;

typedef struct packed {
    bit sign;
    bit  [7:0] exponent;
    bit [22:0] mantissa;
} fp32_t;

`define FP32_ONE '{'0, fp32_exp_bias, '0}
`define FP32_TWO '{'0, fp32_exp_bias+1, '0}

endpackage